## mycompiler.mytypereconstruction.set
Class CTripleSet

    java.lang.Object
      mycompiler.mytypereconstruction.set.CSet<E>
          mycompiler.mytypereconstruction.set.CMengeSet<CTriple>
              mycompiler.mytypereconstruction.set.CTripleSet

    public class CTripleSet

extends CMengeSet<CTriple>

Version:
  $Date: 2005/06/28 19:19:08 $
Author:
  J�rg B�uerle

Constructor Summary
`CTripleSet()`

Method Summary
`CTripleSet` `deepCopy()`
`CTripleSet` `shallowCopy()`

Methods inherited from class mycompiler.mytypereconstruction.set.CMengeSet
`addElement, contains, equals, getCardinality, getIterator, getMenge, removeElement, setMenge, subtract, unite`

Methods inherited from class mycompiler.mytypereconstruction.set.CSet
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CTripleSet

    public CTripleSet()

Method Detail

### shallowCopy

    public CTripleSet shallowCopy()

  Specified by:
    `shallowCopy` in class `CSet<CTriple>`

### deepCopy

    public CTripleSet deepCopy()

  Specified by:
    `deepCopy` in class `CSet<CTriple>`